<ion-view view-title="ZCLASS" ng-controller="listFeedsCtrl">
    
    <ion-content class="padding">
        

        
       <ion-refresher on-refresh="doRefresh()" pulling-icon="ion-load-d" spinner="ios-small"></ion-refresher>

        <ion-list>
        
            <div ng-repeat="feed in feed_news" class="timeline-block">
                <div class="timeline-icons" ng-class="{ 'alerta': feed.type_feed == 'alert' ,
                                  'msg': feed.type_feed == 'msg',
                                  'noticia': feed.type_feed == 'new'}">
                    <i class="ion-ios-chatbubble timeline-icon" ng-if="(feed.type_feed=='msg')"></i>
                    <i class="ion-ios-paper timeline-icon" ng-if="feed.type_feed=='new' "></i>
                    <i class="ion-ios-bell timeline-icon" ng-if="feed.type_feed=='alert'"></i>
                </div>

                <a class="timeline-content" href="#/tab/feed/feed-news/{{feed.id}}">
                    <div class="timeline-infos" ng-class="{'timeline-image' : activity.image !== ''}">
                        <h5 class="timeline-title">{{feed.title}}</h5>
                        <p class="timeline-text">{{feed.text}}</p>
                        <p class="timeline-date">
                            <i class="ion-ios-clock-outline"></i>{{feed.date_published | date: "dd/MM/yy hh:mm a"}}
                            <span class="category" ng-class="{ 'esporte': activity.category == 'Esporte' ,
                                  'noticia': activity.category == 'Noticia'}">{{feed.category}}</span>
                        </p>
                    </div>
                    <img class="timeline-picture" ng-if="feed.image.thumb_100_100.url !== null" width="70" height="70" src="{{feed.image.thumb_100_100.url}}">
                </a>
            </div>

            <ion-infinite-scroll
                ng-if="hasMoreData"
                on-infinite="loadMore()"
                distance="10%">
            </ion-infinite-scroll>
            
        </ion-list>
    </ion-content>
</ion-view>
